<video loop controls></video>
<p>Test that seeking video with 'loop' past it's end rewinds to the beginning and continues playback.</p>
<script src=media-file.js></script>
<script src=video-test.js></script>
<script>

    waitForEvent('canplaythrough', function () { 
        testExpected("video.paused", true);
        run("video.play()");
        testExpected("video.paused", false);
        setTimeout(timeCheck1, 200);
    });

    function timeCheck1() 
    {
        // make sure time is advancing, seek past end
        consoleWrite("");
        testExpected("video.paused", false);
        testExpected("mediaElement.currentTime", 0, '>');
        run("video.currentTime = 500");
        setTimeout(timeCheck2, 200);
    }

    function timeCheck2() 
    {
        consoleWrite("");
        testExpected("video.paused", false);
        testExpected("mediaElement.currentTime", 0, '>');
        consoleWrite("");
        endTest();
    }

    var mediaFile = findMediaFile("video", "content/test");
    run("video.src = '" + mediaFile + "'");
    consoleWrite("");
</script>
